Issue 120928 - Import Graphic Bullets of MS Word Binary Document into AOO Writer Correctly
Import Graphic Bullets of MS Word Binary Document into AOO Writer Correctly
Status: RESOLVED FIXED
Product: Writer
Classification: Application
Component: open-import
4.0.0-dev
All All
: P3 major (vote)
: 4.0.0
Assigned To: Jian Hong Cheng
:
Depends on:
Blocks: 121425
  Show dependency treegraph
 
Reported: 2012-09-13 01:49 UTC by Jian Hong Cheng
Modified: 2013-07-11 12:23 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
This is the patch to solve the graphic bullets interoperability problem (34.62 KB, patch)
2012-10-09 01:04 UTC, Jian Hong Cheng
no flags Details | Diff
Updated Patch (33.63 KB, application/octet-stream)
2012-11-21 07:16 UTC, Jian Hong Cheng
no flags Details
Updated Patch According to Comments (33.63 KB, patch)
2012-11-21 07:18 UTC, Jian Hong Cheng
no flags Details | Diff
Further Updated (33.46 KB, patch)
2012-11-21 10:03 UTC, Jian Hong Cheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Jian Hong Cheng 2012-09-13 01:49:09 UTC
-Import Graphic Bullets of MS Word Binary Document into AOO Writer Correctly
Comment 1 Jian Hong Cheng 2012-10-09 01:04:09 UTC
Created attachment 79748 [details]
This is the patch to solve the graphic bullets interoperability problem

This is the patch to solve the graphic bullets interoperability problem.I would like the expert can help the code review before I commit it.thanks in advance.
Comment 2 Jian Hong Cheng 2012-10-09 01:06:44 UTC
This patch does not only include the import,but also includes the export...the scope has extended to contain the whole areas.
Comment 3 Shenfeng Liu 2012-10-09 09:28:52 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.
Comment 4 Jian Hong Cheng 2012-11-21 07:16:55 UTC
Created attachment 79930 [details]
Updated Patch

Updated the comments.thanks.
Comment 5 Jian Hong Cheng 2012-11-21 07:18:58 UTC
Created attachment 79931 [details]
Updated Patch According to Comments

Updated.
Comment 6 Jian Hong Cheng 2012-11-21 10:03:45 UTC
Created attachment 79933 [details]
Further Updated

Tail Revision...
Comment 7 Jian Hong Cheng 2012-11-28 01:34:43 UTC
Committed with 1414498.thanks for the code review.